#import <AppKit/AppKit.h>
#import "WGController.h"

@interface WGMainController : NSObject
{
    NSMutableArray *openControllers;
}

- (void)newController:(id)sender;
- (void)openDocument:(id)sender;
- (void)closeDocument:(id)aDocument;

- (BOOL)application:(NSApplication *)sender openFile:(NSString *)filename;
- (void)newControllerWithFilename:(NSString *)filename;

// for services
- (void)newControllerWithURL:(NSPasteboard *)pboard userData:(NSString *)data error:(NSString **)error;

- (void)displayAboutWindow:sender;

@end
